<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%page}}".
 *
 * @property integer $id
 * @property string $name
 * @property string $translit
 * @property string $title
 * @property string $body
 * @property string $meta_title
 * @property string $description
 * @property string $h1
 * @property string $seo_text
 */
class Page extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{page}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'body'], 'required'],
            [['body', 'seo_text'], 'string'],
            [['name', 'h1'], 'string', 'max' => 255],
            [['alias', 'title', 'meta_title', 'description'], 'string', 'max' => 250]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'id'),
            'name' => Yii::t('app', 'name'),
            'alias' => Yii::t('app', 'alias'),
            'title' => Yii::t('app', 'title'),
            'body' => Yii::t('app', 'body'),
            'meta_title' => Yii::t('app', 'meta_title'),
            'description' => Yii::t('app', 'description'),
            'h1' =>Yii::t('app',  'h1'),
            'seo_text' => Yii::t('app', 'seo_text'),
        ];
    }

    public function behaviors()
    {
        return [
            'slug' => [
                'class' => 'common\behaviors\Slug',
                'in_attribute' => 'name',
                'out_attribute' => 'alias',
                'translit' => true
            ]
        ];
    }

    public function getPageTranslit($page){
        return  self::find()
            ->where(['alias' => $page])
            ->one();

    }
}
